﻿
namespace CoreLibrary.Events
{
    /// <summary>
    /// Représente les arguments d'événement pour l'événement de l'ajout d'un code.
    /// </summary>
    public class AjouterCodeEventArgs : EventArgs
    {
        /// <summary>
        /// Obtient le code ajouté.
        /// </summary>
        public Code Code { get; private set; }

        /// <summary>
        /// Initialise une nouvelle instance de la classe <see cref="AjouterCodeEventArgs"/> avec le code spécifié.
        /// </summary>
        /// <param name="code">Le code à ajouter.</param>
        public AjouterCodeEventArgs(Code code) 
        {
            Code = code;
        }
    }
}
