﻿namespace CoreLibrary.Events
{
    /// <summary>
    /// Représente les arguments d'événement pour l'événement d'ajout d'un joueur.
    /// </summary>
    public class AjouterJoueursEventArgs : EventArgs
    {
        /// <summary>
        /// Obtient le joueur ajouté.
        /// </summary>
        public Joueur Joueur { get; private set; }

        /// <summary>
        /// Initialise une nouvelle instance de la classe <see cref="AjouterJoueursEventArgs"/> avec le joueur spécifié.
        /// </summary>
        /// <param name="joueur">Le joueur à ajouter.</param>
        public AjouterJoueursEventArgs(Joueur joueur) 
        {
            Joueur = joueur;
        }
    }
}
