﻿namespace CoreLibrary.Events
{
    /// <summary>
    /// Représente les arguments d'événement pour la demande d'ajout d'un joueur.
    /// </summary>
    public class DemanderJoueurEventArgs : EventArgs
    {
        /// <summary>
        /// Obtient le numéro du joueur à ajouter.
        /// </summary>
        public int Numero { get; private set; }


        /// <summary>
        /// Initialise une nouvelle instance de la classe <see cref="DemanderJoueurEventArgs"/> avec le numéro du joueur spécifié.
        /// </summary>
        /// <param name="numero">Le numéro du joueur à ajouter.</param>
        public DemanderJoueurEventArgs(int numero)
        {
            Numero = numero;
        }
    }
}
