﻿namespace CoreLibrary.Exceptions
{
    /// <summary>
    /// Exception levée lorsqu'un jeton est supprimé d'un code qui est déjà vide.
    /// </summary>
    [Serializable]
    public class CodeVideException : Exception
    {
        /// <summary>
        /// Initialise une nouvelle instance de la classe <see cref="CodeVideException"/>.
        /// </summary>
        private const string messageDefaut = "Le code dans lequel vous essayez de supprimer un jeton est déjà vide.";

        public CodeVideException() : base(messageDefaut)
        { }

        public CodeVideException(string message) : base(message)
        { }

        public CodeVideException(string message, Exception exception) : base(message, exception)
        { }
    }
}
