﻿namespace CoreLibrary.Exceptions
{
    /// <summary>
    /// Exception levée lorsqu'un code est ajouté à une grille qui est déjà complète.
    /// </summary>
    [Serializable]
    public class GrilleCompleteException : Exception
    {
        /// <summary>
        /// Initialise une nouvelle instance de la classe <see cref="GrilleCompleteException"/>.
        /// </summary>
        private const string messageDefaut = "La grille dans laquelle vous essayez d'ajouter un code est déjà complète.";

        public GrilleCompleteException() : base(messageDefaut)
        { }

        public GrilleCompleteException(string message) : base(message)
        { }

        public GrilleCompleteException(string message, Exception exception) : base(message, exception)
        { }
    }
}
